/*****************************************************************************/
/*!
 *\file queryresult.h
 *\brief enumerated type for result of queries
 *
 * Author: Clark Barrett
 *
 * Created: Thu May 18 12:36:25 2006
 */
/*****************************************************************************/

#ifndef _cvcl__include__queryresult_h_
#define _cvcl__include__queryresult_h_

/*****************************************************************************/
/*
 * Type for result of queries.  VALID and UNSATISFIABLE are treated as
 * equivalent, as are SATISFIABLE and INVALID.
 */
/*****************************************************************************/
typedef enum QueryResult {
  SATISFIABLE = 0,
  INVALID = 0,
  VALID = 1,
  UNSATISFIABLE = 1,
  ABORT,
  UNKNOWN
} QueryResult;

#endif
