/*****************************************************************************/
/*!
 * \file sound_exception.h
 * \brief An exception to be thrown when unsoundness is detected in a proof rule
 * 
 * Author: Sergey Berezin
 * 
 * Created: Fri Jun  6 10:48:38 2003
 *
 * <hr>
 * Copyright (C) 2003 by the Board of Trustees of Leland Stanford
 * Junior University and by New York University. 
 *
 * License to use, copy, modify, sell and/or distribute this software
 * and its documentation for any purpose is hereby granted without
 * royalty, subject to the terms and conditions defined in the \ref
 * LICENSE file provided with this distribution.  In particular:
 *
 * - The above copyright notice and this permission notice must appear
 * in all copies of the software and related documentation.
 *
 * - THE SOFTWARE IS PROVIDED "AS-IS", WITHOUT ANY WARRANTIES,
 * EXPRESSED OR IMPLIED.  USE IT AT YOUR OWN RISK.
 * 
 * <hr>
 * 
 */
/*****************************************************************************/

#ifndef _CVC_lite__sound_exception_h_
#define _CVC_lite__sound_exception_h_

#include <string>
#include <iostream>
#include "exception.h"

namespace CVCL {

  class SoundException: public Exception {
  public:
    // Constructors
    SoundException() { }
    SoundException(const std::string& msg): Exception(msg) { }
    SoundException(char* msg): Exception(msg) { }
    // Destructor
    virtual ~SoundException() { }
    virtual std::string toString() const {
      return "Soundness error: " + d_msg;
    }
  }; // end of class SoundException
} // end of namespace CVCL 

#endif
